Subject: Re: -mno-cygwin
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 4 Sep 2001 21:51:59 -0400

On Tue, Sep 04, 2001 at 08:26:58PM -0700, Mike Bresnahan wrote:
>> >-- begin --
>> >/usr/local/src/no-cygwin-bug: make
>> >gcc -c -I/usr/local/src/mingw32/gcc-2.95.2/include/g++-3
>> -mno-cygwin main.cc
>> >gcc -I/usr/local/src/mingw32/gcc-2.95.2/include/g++-3 -mno-cygwin
>> >main.o
>> -L/usr/local/src/mingw32/gcc-2.95.2/lib/gcc-lib/i386-mingw32msvc/2.95
>> >.2 -lstdc++ -lm  -o main
>>              ^^^
>> Do not link with this.  A 'ls -l /usr/lib/libm.a' will probably
>> show you why.
>
>Thanks.  Ok so which math library do I use then?

I don't know.  I assume that you don't need any, however, that's a question
for the mingw mailing list.  You probably should just try it without the -lm.
It might just work.

>Also I notice that the mingw32 math.h is missing asinf() and some others,
>but perhaps that is a question for the mingw32 list.
>
>> >Note that I have downloaded mingw32 and am pointing at its headers and
>> >libraries, because cygwin is missing the ANSI C++ headers and libraries.
>>
>> I don't know what this means.  Cygwin comes with a complete set of headers
>> and libraries and it also includes fairly recent mingw headers
>> and libraries,
>> with the exception of libstdc++.a.
>
>Okay, I stand corrected.  It appears that the ANSI C++ headers are in
>/usr/include/g++-3.  However I still need libstdc++.a, no?

Actually, for -mno-cygwin, you *will* probably need the mingw g++-3
versions.  If you are just using -mno-cygwin for ANSI C++ headers,
though, then there is no reason to do that.

So, to summarize:

1) Just removing -lm may work, unless you're using the cygwin version of
   libstdc++.a.

2) Otherwise, you really do need the mingw header files an libstdc++.a if
   you want to build with -mno-cygwin.  Just make sure that you are not
   pulling in any cygwin libraries and you should be ok.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/